## ros-indigo-evarobot-navigation 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(evarobot_navigation)


find_package(catkin REQUIRED COMPONENTS
  roscpp
)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

foreach(dir launch map params scripts)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-indigo-evarobot-navigation (0.0.6-1trusty) trusty; urgency=high

  * update params
  * update params
  * update params
  * update params
  * update params
  * new map
  * decrease map size
  * decrease map size
  * remove rviz file from install
  * move rviz to evarobot_viz
  * add sync.launch and move rviz to evarobot_viz
  * add sync.launch and move rviz to evarobot_viz
  * add sync.launch which opens master_discovery and master_sync
  * add sync.launch which opens master_discovery and master_sync
  * separate gazebo libraries from evarobot_description
  * add master_discovery and master_sync launch files
  * add exploration
  * rename move_base.launh as move_base_sim.launch
  * rename move_base.launch as move_base_sim.launch
  * update
  * modifiy params in consequence of realtime tests
  * delete width and height since they are also in move_base_sim/real launch files
  * comment configuration for non-static global map
  * decrease obstacle_range, raytrace_range and inflation_radius
  * add run_dependencies for exploration
  * move amcl launcher to evarobot_navigation.launch
  * rename move_base launch file as move_base_sim.launch
  * remove rviz launcher
  * add move_base to required packages list
  * add scripts file to installing
  * call global_localization service in launch file
  * update rviz
  * update move_base params
  * change odom frame as odom_combined
  * modify in real-time tests
  * modify in real-time tests
  * modify odom frame as odom_combined
  * add new map of inovasyon muhendislik
  * configure dependencies
  * remove sensor namespace
  * Update navigation params
  * changelog
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-indigo-evarobot-navigation (0.0.5-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:00:00 -0000

ros-indigo-evarobot-navigation (0.0.4-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:00:00 -0000

ros-indigo-evarobot-navigation (0.0.2-1trusty) trusty; urgency=high

  * modified odom frame parameter
  * ...
  * modified robot state
  * ...
  * modified move_base params
  * evarobot_description in evarobot_navigation was deleted
  * packages added
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Thu, 27 Aug 2015 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-evarobot-navigation
Section: misc
Priority: extra
Maintainer: Mehmet Akcakoca <akcakocamehmet@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roscpp
Homepage: http://ros.org/wiki/evarobot_navigation
Standards-Version: 3.9.2

Package: ros-indigo-evarobot-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-amcl, ros-indigo-evarobot-state-publisher, ros-indigo-frontier-exploration, ros-indigo-gmapping, ros-indigo-map-server, ros-indigo-master-discovery-fkie, ros-indigo-master-sync-fkie, ros-indigo-move-base, ros-indigo-roscpp, ros-indigo-rplidar-ros
Description: evarobot_navigation provides roslaunch script files to navigate the Evarobot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-evarobot-navigation//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
